/*******************************************************************************
				Neoinput
				========

		Copyright (C) 2010 Paul Kocialkowski

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>

#include "config.h"

#ifndef INPUT_READ_H
#define INPUT_READ_H

extern int input_count;
extern int input_touch;
extern int input_accel;
extern int input_button_aux;
extern int input_button_power;

bool input_read_open(int input);
void input_read_event(void);
void input_read_close(void);

#endif
