/*******************************************************************************
				Neoinput
				========

		Copyright (C) 2010 Paul Kocialkowski

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <linux/input.h>

#ifndef INPUT_WRITE_H
#define INPUT_WRITE_H

extern int input;
extern char *input_device;
extern char *input_preset;
extern float speed_factor;

void input_write_open(char *input_device);
void input_event_get(void);
void input_write_close(void);

#endif
